Subject: Re: bug#21780: 25.0.50; Saving *Help* results in bad encoding because of curly quotes

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Oct 2015 19:41:38 +0200

> Date: Wed, 28 Oct 2015 18:50:49 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> emacs -Q
> M-x load-library isearch.el
> C-h f isearch-forward
> In buffer *Help*: C-x C-w foo.txt
> 
> You get a coding-system warning.  I tried saving it as utf-8 and as raw
> text.
> 
> In both cases, when I open that file in a new Emacs session, I see octal
> escapes where there were curly quotes.

Thanks, I fixed the first part of this: Emacs should no longer ask
annoying questions when you save help buffers with curved quotes.

The second part, which happens when visiting the saved file, is not a
bug: you need to specify the encoding of files when visiting them in
locales whose default encoding is different.  (Actually, I expect this
to work automatically for you, at least in "emacs -Q", but that
doesn't happen in every locale.)